Skip to main content
`Ctrl`+`K`

# scipy.special.legendre_p

scipy.special.legendre_p(n, z, *, diff_n=0) = <scipy.special._multiufuncs.MultiUFunc object>

  Legendre polynomial of the first kind.

  Parameters:
    n ArrayLike[int]

      Degree of the Legendre polynomial. Must have `n >= 0`.

    z ArrayLike[float]

      Input value.

    diff_n Optional[int]

      A non-negative integer. Compute and return all derivatives up to order `diff_n`. Default is 0.

  Returns:
    p ndarray or tuple[ndarray]

      Legendre polynomial with `diff_n` derivatives.

  See also

  `legendre`

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html